/**
 * TLC Tracking API
 * This is the TLC tracking shipments API designed by SINGLETON. You can find out more about Swagger at [Singleton Web Page](http://singleton.com.ar) or on [TLC Tracking Shipment Page](http://production.tlc.singleton.com.ar).
 *
 * OpenAPI spec version: 1.0.0
 * Contact: soporte@singleton.com.ar
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Accounts } from '../models/accounts';
import { DeletedResponse } from '../models/deletedResponse';
import { Configuration } from '../configuration';
export interface AccountsServiceInterface {
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    /**
    * Add one Account.
    * Add one Account.
    * @param accounts
    */
    addAccount(accounts: Accounts, extraHttpRequestParams?: any): Observable<Accounts>;
    /**
    * Delete one Account.
    * Delete one Account.
    * @param id id to delete
    */
    deleteAccount(id: number, extraHttpRequestParams?: any): Observable<DeletedResponse>;
    /**
    * Edit one Account.
    * Edit one Account.
    * @param accounts
    */
    editAccount(accounts: Accounts, extraHttpRequestParams?: any): Observable<Accounts>;
    /**
    * Get one Account.
    * Get one Account.
    * @param id id to delete
    * @param deleted Get all, daleted, not deleted data. Default not deleted.
    */
    getAccountById(id: number, deleted?: 'NOT-DELETED' | 'DELETED' | 'ALL', extraHttpRequestParams?: any): Observable<Accounts>;
    /**
    * Get all Accounts.
    * Get all Accounts.
    * @param skip number of item to skip
    * @param limit max records to return
    * @param orderBy order by property.
    * @param filter filter data.
    * @param deleted Get all, daleted, not deleted data. Default not deleted.
    * @param userId id of user. Only for admin, editor or viewer users.
    */
    getAccounts(skip: number, limit: number, orderBy?: string, filter?: string, deleted?: 'NOT-DELETED' | 'DELETED' | 'ALL', userId?: number, extraHttpRequestParams?: any): Observable<Array<Accounts>>;
}
