/**
 * TLC Tracking API
 * This is the TLC tracking shipments API designed by SINGLETON. You can find out more about Swagger at [Singleton Web Page](http://singleton.com.ar) or on [TLC Tracking Shipment Page](http://production.tlc.singleton.com.ar).
 *
 * OpenAPI spec version: 1.0.0
 * Contact: soporte@singleton.com.ar
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { DeletedResponse } from '../models/deletedResponse';
import { HandedOvers } from '../models/handedOvers';
import { Configuration } from '../configuration';
export interface HandedOversServiceInterface {
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    /**
    * Add one HandedOver.
    * Add one HandedOver.
    * @param handedOvers
    */
    addHandedOver(handedOvers: HandedOvers, extraHttpRequestParams?: any): Observable<HandedOvers>;
    /**
    * Delete one HandedOver.
    * Delete one HandedOver.
    * @param id id to delete
    */
    deleteHandedOver(id: number, extraHttpRequestParams?: any): Observable<DeletedResponse>;
    /**
    * Edit one HandedOver.
    * Edit one HandedOver.
    * @param handedOvers
    */
    editHandedOver(handedOvers: HandedOvers, extraHttpRequestParams?: any): Observable<HandedOvers>;
    /**
    * Get one HandedOver.
    * Get one HandedOver.
    * @param id id to delete
    * @param deleted Get all, daleted, not deleted data. Default not deleted.
    */
    getHandedOverById(id: number, deleted?: 'NOT-DELETED' | 'DELETED' | 'ALL', extraHttpRequestParams?: any): Observable<HandedOvers>;
    /**
    * Get all HandedOvers.
    * Get all HandedOvers.
    * @param skip number of item to skip
    * @param limit max records to return
    * @param orderBy order by property.
    * @param filter filter data.
    * @param deleted Get all, daleted, not deleted data. Default not deleted.
    * @param userId id of user. Only for admin, editor or viewer users.
    */
    getHandedOvers(skip: number, limit: number, orderBy?: string, filter?: string, deleted?: 'NOT-DELETED' | 'DELETED' | 'ALL', userId?: number, extraHttpRequestParams?: any): Observable<Array<HandedOvers>>;
}
