/**
 * TLC Tracking API
 * This is the TLC tracking shipments API designed by SINGLETON. You can find out more about Swagger at [Singleton Web Page](http://singleton.com.ar) or on [TLC Tracking Shipment Page](http://production.tlc.singleton.com.ar).
 *
 * OpenAPI spec version: 1.0.0
 * Contact: soporte@singleton.com.ar
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { DeletedResponse } from '../models/deletedResponse';
import { JourneyDeliveries } from '../models/journeyDeliveries';
import { Configuration } from '../configuration';
export interface JourneyDeliveriesServiceInterface {
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    /**
    * Add one JourneyDelivery.
    * Add one JourneyDelivery.
    * @param handedOvers
    */
    addJourneyDelivery(handedOvers: JourneyDeliveries, extraHttpRequestParams?: any): Observable<JourneyDeliveries>;
    /**
    * Delete one JourneyDelivery.
    * Delete one JourneyDelivery.
    * @param id id to delete
    */
    deleteJourneyDelivery(id: number, extraHttpRequestParams?: any): Observable<DeletedResponse>;
    /**
    * Edit one JourneyDelivery.
    * Edit one JourneyDelivery.
    * @param handedOvers
    */
    editJourneyDelivery(handedOvers: JourneyDeliveries, extraHttpRequestParams?: any): Observable<JourneyDeliveries>;
    /**
    * Get all JourneyDeliveries.
    * Get all JourneyDeliveries.
    * @param skip number of item to skip
    * @param limit max records to return
    * @param orderBy order by property.
    * @param filter filter data.
    * @param deleted Get all, daleted, not deleted data. Default not deleted.
    * @param userId id of user. Only for admin, editor or viewer users.
    */
    getJourneyDeliveries(skip: number, limit: number, orderBy?: string, filter?: string, deleted?: 'NOT-DELETED' | 'DELETED' | 'ALL', userId?: number, extraHttpRequestParams?: any): Observable<Array<JourneyDeliveries>>;
    /**
    * Get one JourneyDelivery.
    * Get one JourneyDelivery.
    * @param id id to delete
    * @param deleted Get all, daleted, not deleted data. Default not deleted.
    */
    getJourneyDeliveryById(id: number, deleted?: 'NOT-DELETED' | 'DELETED' | 'ALL', extraHttpRequestParams?: any): Observable<JourneyDeliveries>;
}
