/**
 * TLC Tracking API
 * This is the TLC tracking shipments API designed by SINGLETON. You can find out more about Swagger at [Singleton Web Page](http://singleton.com.ar) or on [TLC Tracking Shipment Page](http://production.tlc.singleton.com.ar).
 *
 * OpenAPI spec version: 1.0.0
 * Contact: soporte@singleton.com.ar
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { DeletedResponse } from '../models/deletedResponse';
import { Locations } from '../models/locations';
import { Configuration } from '../configuration';
export interface LocationsServiceInterface {
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    /**
    * Add one Location.
    * Add one Location.
    * @param locations
    */
    addLocation(locations: Locations, extraHttpRequestParams?: any): Observable<Locations>;
    /**
    * Delete one Location.
    * Delete one Location.
    * @param id id to delete
    */
    deleteLocation(id: number, extraHttpRequestParams?: any): Observable<DeletedResponse>;
    /**
    * Edit one Location.
    * Edit one Location.
    * @param locations
    */
    editLocation(locations: Locations, extraHttpRequestParams?: any): Observable<Locations>;
    /**
    * Get one Location.
    * Get one Location.
    * @param id id to delete
    * @param deleted Get all, daleted, not deleted data. Default not deleted.
    */
    getLocationById(id: number, deleted?: 'NOT-DELETED' | 'DELETED' | 'ALL', extraHttpRequestParams?: any): Observable<Locations>;
    /**
    * Get all Locations.
    * Get all Locations.
    * @param skip number of item to skip
    * @param limit max records to return
    * @param orderBy order by property.
    * @param filter filter data.
    * @param deleted Get all, daleted, not deleted data. Default not deleted.
    * @param userId id of user. Only for admin, editor or viewer users.
    */
    getLocations(skip: number, limit: number, orderBy?: string, filter?: string, deleted?: 'NOT-DELETED' | 'DELETED' | 'ALL', userId?: number, extraHttpRequestParams?: any): Observable<Array<Locations>>;
}
